[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFields.IndexOf

Return the index of a field instance

## Declaration

Source position: db.pas line 1103

`public function TFields.IndexOf(`
`Field: TField`
`):LongInt;`

## Arguments

`Field` |  | Field instance to search for.

## Function result

Index of Field in the list

## Description

IndexOf scans the list of fields and retuns the index of the field instance in the list (it compares actual field instances, not field names). If the field does not appear in the list, -1 is returned.

## See also

TFields.FieldByName |  | Find a field based on its name
TFields.FieldByNumber |  | Search field based on its fieldnumber
TFields.FindField |  | Find a field based on its name

Documentation generated on: Feb 26 2014